%define upstream_name    Term-Animation
%define upstream_version 2.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    ASCII sprite animation framework 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/K/KB/KBAUCOM/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Curses) >= 1.60.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module provides a framework to produce sprite animations using ASCII art.
Each ASCII 'sprite' is given one or more frames, and placed into the animation
as an 'animation object'. An animation object can have a callback routine that
controls the position and frame of the object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# pod coverage fails - https://rt.cpan.org/Ticket/Display.html?id=67023
rm -f t/pod-coverage.t

%install
%makeinstall_std

%files
%doc Changes META.yml MIGRATION README examples
%{perl_vendorlib}/Term
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.600.0-8pclos2017
- rebuild against updates

